Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.query.impl
Class SimpleRDQLParser

    java.lang.Object
      org.mindswap.pellet.query.impl.SimpleRDQLParser

All Implemented Interfaces:
  QueryParser

Deprecated. Use SPARQL interface instead

    public class SimpleRDQLParser

extends java.lang.Object
implements QueryParser

Author:
  Evren Sirin

Field Summary
`static org.apache.commons.logging.Log` | `log` Deprecated.

Constructor Summary
`SimpleRDQLParser()` Deprecated.

Method Summary
`Query` | `parse(java.io.InputStream in, KnowledgeBase kb)` Deprecated.
`Query` | `parse(java.io.Reader in, KnowledgeBase kb)` Deprecated.
`Query` | `parse(java.lang.String queryStr, KnowledgeBase kb)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

  Deprecated.

Constructor Detail

### SimpleRDQLParser

    public SimpleRDQLParser()

  Deprecated.

Method Detail

### parse

    public Query parse(java.io.InputStream in,
                       KnowledgeBase kb)
                throws java.io.IOException

  Deprecated.
  Specified by:
    `parse` in interface `QueryParser`
  Throws:
    `java.io.IOException`

### parse

    public Query parse(java.io.Reader in,
                       KnowledgeBase kb)
                throws java.io.IOException

  Deprecated.
  Specified by:
    `parse` in interface `QueryParser`
  Throws:
    `java.io.IOException`

### parse

    public Query parse(java.lang.String queryStr,
                       KnowledgeBase kb)

  Deprecated.
  Specified by:
    `parse` in interface `QueryParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.